Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158137 - [mis-compilation] org.eclipse.osgi_3.1.0.jar: can't use pde
Summary: [mis-compilation] org.eclipse.osgi_3.1.0.jar: can't use pde
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 159880
TreeView+ depends on / blocked
 
Reported: 2005-05-18 23:07 UTC by Ben Konrath
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-08 19:14:11 UTC


Attachments (Terms of Use)
stack trace (deleted)
2005-05-18 23:08 UTC, Ben Konrath
no flags Details

Description Ben Konrath 2005-05-18 23:07:38 UTC
Versions: 

gcc-java-4.0.0-6
eclipse-platform-3.1.0_fc-0.M7.1 

Note: the eclipse package is not in rawhide yet I just want to make a note of
this error so that we know why org.eclipse.osgi_3.1.0.jar.so is disabled. 

Steps to reproduce:

Try to make a new plugin project and you will get the stack trace that is attached.

org.eclipse.osgi_3.1.0.jar.so will be disabled in 3.1.0_fc-0.M7.2

Comment 1 Ben Konrath 2005-05-18 23:08:45 UTC
Created attachment 114544 [details]
stack trace

Comment 2 Andrew Overholt 2005-06-08 18:03:43 UTC
I built the jar.so with gcj 4.0.0-11, enabled it in my classmap.db and creating
a new plugin project seems to work.  Is there something I'm missing or has the
mis-compilation been fixed?

Comment 3 Andrew Overholt 2005-10-08 19:14:11 UTC
I've re-enabled this in the build that will show up in rawhide soon
(3.1.0_fc-15) as I've tested it and with the latest gcc (4.0.2-3), and it's fixed.

Comment 4 Ben Konrath 2006-01-04 19:04:09 UTC
Confirming this is fixed in updates-testing with the following package versions:

gcc-4.0.2-8.fc4
eclipse-platform-3.1.1-1jpp_1fc.FC4.1


Comment 5 Ben Konrath 2006-01-04 19:17:15 UTC
Correction, the eclipse package that has the fix is:

eclipse-platform-3.1.1-1jpp_1fc.FC4.11

Comment 6 Igor Foox 2006-03-15 17:03:59 UTC
(In reply to comment #3)
>I've re-enabled this in the build that will show up in rawhide soon
sdfsdfsf
>(3.1.0_fc-15) as I've tested it and with the latest gcc (4.0.2-3), and it's fixed.


Note You need to log in before you can comment on or make changes to this bug.